%define name jscall-sharp
%define version 0.0.3
%define svn 84929
%define release %mkrel 0.%svn.1

Summary: Simple JavaScript bridge for gecko-sharp2
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{svn}.tar.bz2
License: BSD
Group: Development/Other
Url: http://www.go-mono.com
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
BuildRequires: mono-devel
BuildRequires: gecko-sharp2
BuildRequires: libtool intltool

%description
JSCall is a simple JavaScript bridge for Gecko#. It's an interim solution 
until someone writes a proper XPCOM bridge for Mono, and uses unmanaged code 
and P/Invoke to invoke Gecko's XPCOM components from managed code. It should 
work with any .NET language, but I've referred to C# for simplicity. I don't 
expect many people to use this, so the documentation is little more than 
minimal; please contact me <m.j.hutchinson@gmail.com> if you need help 
working out how it works.


%prep
%setup -q -n %name
./autogen.sh

%build
./configure --prefix=%_prefix
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std GACUTIL="gacutil -root %buildroot/%_prefix/lib" pkgconfigdir=%_datadir/pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%_prefix/lib/jscall-sharp/
%_prefix/lib/mono/gac/jscall/
%_datadir/pkgconfig/jscall-sharp.pc




%changelog
* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.0.3-0.84929.1mdv2008.1
+ Revision: 140829
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Aug 28 2007 Götz Waschk <waschk@mandriva.org> 0.0.3-0.84929.1mdv2008.0
+ Revision: 72463
- new version
- noarch package
- update file list
- update build deps


* Mon Mar 05 2007 Götz Waschk <waschk@mandriva.org> 0.0.2-0.73701.2mdv2007.0
+ Revision: 133036
- make the package installable

* Mon Mar 05 2007 Götz Waschk <waschk@mandriva.org> 0.0.2-0.73701.1mdv2007.1
+ Revision: 132928
- Import jscall-sharp

* Mon Mar 05 2007 Götz Waschk <waschk@mandriva.org> 0.0.2-0.73701.1mdv2007.1
- initial package

